aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastien Fabbro <sfabbro@uvic.ca>2012-07-11 15:16:41 -0700
committerSebastien Fabbro <sfabbro@uvic.ca>2012-07-11 15:16:41 -0700
commit6a4cd09b4ded0b370af9056d5de13a9061627035 (patch)
treed045b9b891bb267aad477cc2b260cdbf3d144ab2 /dev-libs
parentsci-mathematics/dsfmt: Initial import (diff)
downloadsci-6a4cd09b4ded0b370af9056d5de13a9061627035.tar.gz
sci-6a4cd09b4ded0b370af9056d5de13a9061627035.tar.bz2
sci-6a4cd09b4ded0b370af9056d5de13a9061627035.zip
dev-libs/double-conversion: Initial import
(Portage version: 2.2.01.20757-prefix/git/Linux x86_64, unsigned Manifest commit)
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/double-conversion/ChangeLog10
-rw-r--r--dev-libs/double-conversion/Manifest1
-rw-r--r--dev-libs/double-conversion/double-conversion-1.1.ebuild46
-rw-r--r--dev-libs/double-conversion/files/double-conversion-1.1-scons.patch26
-rw-r--r--dev-libs/double-conversion/metadata.xml11
5 files changed, 94 insertions, 0 deletions
diff --git a/dev-libs/double-conversion/ChangeLog b/dev-libs/double-conversion/ChangeLog
new file mode 100644
index 000000000..f18cefbf7
--- /dev/null
+++ b/dev-libs/double-conversion/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-libs/double-conversion
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*double-conversion-1.1 (11 Jul 2012)
+
+ 11 Jul 2012; S├ębastien Fabbro <bicatali@gentoo.org>
+ +double-conversion-1.1.ebuild, +files/double-conversion-1.1-scons.patch,
+ +metadata.xml:
+ dev-libs/double-conversion: Initial import
diff --git a/dev-libs/double-conversion/Manifest b/dev-libs/double-conversion/Manifest
new file mode 100644
index 000000000..187ca624c
--- /dev/null
+++ b/dev-libs/double-conversion/Manifest
@@ -0,0 +1 @@
+DIST double-conversion-1.1.tar.gz 7009789 SHA256 addee31d11350e4dde2b19c749eda648cb0ab38a68b0dd0d0a45dc49c7346fe7 SHA512 78d66fe6f1b31bccbfda916af3ab4cf292a7b4ed4ff40a83de600df1860fceb0f20cf340a964f61e57ecf03e350defa7023febbbc27ae29b49ed7b4988011304 WHIRLPOOL f4c1de563056f4c4b3b3abeceb79a42a16d2dbb05afe22c15243207b8d6ad0af10a01507c762365e518cc7119d7b203d45384fd99b216d804965de1e8ae842d3
diff --git a/dev-libs/double-conversion/double-conversion-1.1.ebuild b/dev-libs/double-conversion/double-conversion-1.1.ebuild
new file mode 100644
index 000000000..7649df227
--- /dev/null
+++ b/dev-libs/double-conversion/double-conversion-1.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit scons-utils eutils
+
+DESCRIPTION="Binary-decimal and decimal-binary routines forIEEE doubles"
+HOMEPAGE="http://code.google.com/p/double-conversion/"
+SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+LIBNAME=lib${PN}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-scons.patch
+}
+
+src_compile() {
+ escons ${LIBNAME}.so
+ use static-libs && escons ${LIBNAME}.a
+}
+
+src_test() {
+ escons run_tests
+ export LD_LIBRARY_PATH=".:${LD_LIBRARY_PATH}"
+ ./run_tests --list | tr -d '<' | xargs ./run_tests || die
+}
+
+src_install() {
+ dolib.so ${LIBNAME}.so
+ use static-libs && dolib.a ${LIBNAME}.a
+ insinto /usr/include
+ doins src/double-conversion*h
+ dodoc README Changelog AUTHORS
+}
diff --git a/dev-libs/double-conversion/files/double-conversion-1.1-scons.patch b/dev-libs/double-conversion/files/double-conversion-1.1-scons.patch
new file mode 100644
index 000000000..eea519f5f
--- /dev/null
+++ b/dev-libs/double-conversion/files/double-conversion-1.1-scons.patch
@@ -0,0 +1,26 @@
+--- SConstruct.orig 2012-07-11 14:21:27.783375399 -0700
++++ SConstruct 2012-07-11 15:10:28.400764573 -0700
+@@ -1,3 +1,4 @@
++import os
+ double_conversion_sources = ['src/' + x for x in SConscript('src/SConscript')]
+ double_conversion_test_sources = ['test/cctest/' + x for x in SConscript('test/cctest/SConscript')]
+ test = double_conversion_sources + double_conversion_test_sources
+@@ -7,8 +8,16 @@
+ optimize = ARGUMENTS.get('optimize', 0)
+ if int(debug):
+ env.Append(CCFLAGS = '-g -Wall -Werror')
+-if int(optimize):
++elif int(optimize):
+ env.Append(CCFLAGS = '-O3')
++else:
++ env.Append(CCFLAGS = os.environ['CXXFLAGS'])
++env.Append(LINKFLAGS = os.environ['LDFLAGS'])
+ print double_conversion_sources
+ print double_conversion_test_sources
+-env.Program('run_tests', double_conversion_sources + double_conversion_test_sources)
++libname = 'double-conversion'
++# tofix: line below only works for linux?
++env.Append(SHLINKFLAGS=" -Wl,-soname=lib"+libname+".so ")
++shlib = env.SharedLibrary(libname, [env.SharedObject(src) for src in double_conversion_sources])
++env.StaticLibrary(libname, [env.StaticObject(src) for src in double_conversion_sources])
++env.Program('run_tests', double_conversion_test_sources, LIBS=[shlib])
diff --git a/dev-libs/double-conversion/metadata.xml b/dev-libs/double-conversion/metadata.xml
new file mode 100644
index 000000000..e74139346
--- /dev/null
+++ b/dev-libs/double-conversion/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang='en'>
+ This library consists of efficient conversion routines that have
+ been extracted from the V8 JavaScript engine. The code has been
+ refactored and improved so that it can be used more easily in other
+ projects.
+</longdescription>
+</pkgmetadata>